PamCut: CaloGeomCut Class Reference

# CaloGeomCut Class Reference

The geometric cut using the calorimeter's track. More...

`#include <CaloGeomCut.h>`

Inheritance diagram for CaloGeomCut:

List of all members.

## Public Member Functions
| CaloGeomCut (const char *cutName, CaloAxis *xCaloAxis, CaloAxis *yCaloAxis, float xTolCaloTrack=0.7, float yTolCaloTrack=0.7)
| Constructor.
| ~CaloGeomCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The geometry check using the calorimeter's track.
## Private Attributes
CaloAxis * | _xCaloAxis
CaloAxis * | _yCaloAxis
float | _xTolCaloTrack
float | _yTolCaloTrack

## Detailed Description

The geometric cut using the calorimeter's track.

This cut checks if the track obtained from the calorimeter is inside the fiducial acceptance. The current implementation uses the CaloAxis objects; to save computing time, the class assumes that the track is externally computed for each event and stored in CaloAxis objects; pointers to these objects are passed as arguments to the constructor. The Check method will then ignore the PamLevel2 *event and assume that the current content of the CaloAxis objects are relative to the current event. It is an user's task to ensure that these assumptions are fulfilled every time Check or ApplyCut are called.

CUT DEPENDENCIES: CaloTrackCut for the existence of the track (it can also provide the CaloAxis objects).

Definition at line 30 of file CaloGeomCut.h.

## Constructor & Destructor Documentation

CaloGeomCut::CaloGeomCut | ( | const char * | cutName,
|  | CaloAxis * | xCaloAxis,
|  | CaloAxis * | yCaloAxis,
|  | float | xTolCaloTrack = `0.7`,
|  | float | yTolCaloTrack = `0.7` |
| ) |  |  | `[inline]`

Constructor.

The CaloAxis arguments are pointers to objects which contain the calorimeter track information for current event.

Parameters:

  | cutName | The cut's name.
  | xCaloAxis | The pointer to the CaloAxis object for X axis.
  | yCaloAxis | The pointer to the CaloAxis object for Y axis.
  | xTolCaloTrack | The tolerance for X view which defines the fiducial acceptance.
  | yTolCaloTrack | The tolerance for Y view which defines the fiducial acceptance.

Definition at line 44 of file CaloGeomCut.h.

CaloGeomCut::~CaloGeomCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 49 of file CaloGeomCut.h.

## Member Function Documentation

int CaloGeomCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The geometry check using the calorimeter's track.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if charge released in plane 22 is greater than 0 (from CaloAxis) for both X and Y

  0 otherwise

Implements PamCut.

Definition at line 12 of file CaloGeomCut.cpp.

References _xCaloAxis, _xTolCaloTrack, _yCaloAxis, _yTolCaloTrack, CUTOK, and CaloAxis::par.

## Member Data Documentation

CaloAxis* CaloGeomCut::_xCaloAxis`[private]`

Definition at line 61 of file CaloGeomCut.h.

Referenced by Check().

float CaloGeomCut::_xTolCaloTrack`[private]`

Definition at line 62 of file CaloGeomCut.h.

Referenced by Check().

CaloAxis * CaloGeomCut::_yCaloAxis`[private]`

Definition at line 61 of file CaloGeomCut.h.

Referenced by Check().

float CaloGeomCut::_yTolCaloTrack`[private]`

Definition at line 62 of file CaloGeomCut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- CaloCuts/CaloGeomCut/CaloGeomCut.h
- CaloCuts/CaloGeomCut/CaloGeomCut.cpp